AllocateHostResource
AllocateHostResource
POST
/zstack/v1/hosts/{uuid}/allocate-resourceOperation ID
AllocateHostResourceSince
4.7.11Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe resource UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
strategyStringRequiredThe resource allocation policy.
sceneStringRequiredThe scene type.
vcpuintRequiredThe number of vCPUs that need to be allocated to a VM instance.
memSizeLongOptional. The memory size of the vNUMA node.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
